body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}

.post-card {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 16px;
    margin: 16px;
    cursor: pointer;
    transition: box-shadow 0.3s ease;
}

.post-card:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.post-title {
    margin: 0 0 8px;
}

.post-excerpt {
    color: #555;
}

.post-details {
    /*развернутый пост (.post-details) изначально скрыт через display: none*/
    /*display: none;*/
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 16px;
    margin: 16px;
}

.post-content {
    margin-top: 0;
}

.comments-section {
    margin-top: 24px;
}

.comment {
    border-top: 1px solid #eee;
    padding: 8px 0;
}

.comment:first-of-type {
    border-top: none;
}

.comment-author {
    font-weight: bold;
}

.comment-text {
    margin: 4px 0 0;
    color: #555;
}
